Bug 435543 - Review Request: gridloc - A ncurses console application for the calculation of Maidenhead QRA Locators
Review Request: gridloc - A ncurses console application for the calculation o...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 05:45 EST by Robert 'Bob' Jensen
Modified: 2008-09-24 20:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 09:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-03-01 05:45:37 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/gridloc.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/gridloc-0.6-1.fc9.src.rpm
Description: gridloc is a ncurses console application for the calculation of Maidenhead QRA locaters for ham radio operators from location co-ordinates, and vice-versa. gridloc also calculates distance and direction (long-path or short-path) from a "home" location to another (DX) location.

This package mock builds for Fedora 7, Fedora 8 and devel on i386 and x86_64. All resulting rpms are rpmlint clean.
Comment 1 Parag AN(पराग) 2008-03-01 07:07:22 EST
your build command should be
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
Comment 2 Parag AN(पराग) 2008-03-01 07:16:04 EST
also, missing COPYING file to %doc
and remove text from spec
#doesn't contain a copy of GPLv2 License, queried upstream
Comment 3 Parag AN(पराग) 2008-03-01 07:18:33 EST
koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=481841
build failed for ppc and ppc64 with log=>

cc1: error: unrecognized command line option "-march=native"cc1: error:
unrecognized command line option "-march=native"

cc1: error: unrecognized command line option "-march=native"
Comment 4 Robert 'Bob' Jensen 2008-03-01 14:04:22 EST
 CC="gcc $RPM_OPT_FLAGS"  was suggested by David Woodhouse on another package
from this same upstream so that package would build on PPC devel. I have changed
the spec and built a new srpm.

If you notice in the tarball upstream has a symlink for COPYING to
/usr/share/automake-1.10/COPYING IMO this needs to be corrected by the upstream.

Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/gridloc.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/gridloc-0.6-2.fc9.src.rpm
Comment 5 Robert 'Bob' Jensen 2008-03-01 14:49:36 EST
Not sure if this is building now on x86_64 with that change to the make.
Comment 8 Robert 'Bob' Jensen 2008-03-02 02:00:02 EST
We are missing a sample .gridlocrc file. I will track this down and repackage.
Comment 9 Parag AN(पराग) 2008-03-06 22:01:22 EST
Should wait for updated SRPM? or comment#7 is ok for review?
Comment 10 Robert 'Bob' Jensen 2008-03-07 13:46:17 EST
I have been totally swamped here, I will have a new srpm for you later today or
tomorrow. Sorry about the delay.
Comment 11 Parag AN(पराग) 2008-03-12 23:14:23 EDT
got any problem?
Comment 12 Robert 'Bob' Jensen 2008-03-14 12:12:07 EDT
as you know from my other bug (435541) with you I have been a bit disconnected,
I am working on this today.
Comment 13 Parag AN(पराग) 2008-04-04 00:00:13 EDT
ping?
Comment 14 Jason Tibbitts 2008-06-30 18:27:25 EDT
OK, so this has been dumped back in the queue.  I don't know why Parag didn't
just set NEEDINFO and then close it after a fashion; it seems he'd rather force
someone else to have to do that.  So I guess it falls to me.

It has been 3.5 months since the last comment from the submitter.  Setting
NEEDINFO; I will close this ticket soon if there is no further response.
Comment 15 Lucian Langa 2008-07-16 01:42:14 EDT
Hello,
sorry for the long delay, Bob is having some serious problems and I will take
over this.

I've added sample rc file gridlocrc to the package and bumped version
new files:
http://lucilanga.fedorapeople.org/gridloc.spec
http://lucilanga.fedorapeople.org/gridloc-0.6-4.fc9.src.rpm
Comment 16 Jason Tibbitts 2008-08-10 14:28:47 EDT
I sure hope Bob's OK.  I'll take a look at this.

Fist thing I notice is that the tarball in the package doesn't match the tarball at the upstream URL.  It seems that the upstream tarball lacks the COPYING file and there are a couple of inconsequential changes in the documentation.  Any idea what's happened there?

Otherwise the packaging seems fine, but after building this (on x86_64 rawhide), I can't get it to do anything other than segfault.  Does it require the config file to be set up first?

X source files don't match upstream.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   gridloc = 0.6-4.fc10
   gridloc(x86-64) = 0.6-4.fc10
  =
   libform.so.5()(64bit)
   libncurses.so.5()(64bit)
   libtinfo.so.5()(64bit)

? %check is not present.  I tried to test this manually but all it seems to do 
  is segfault.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 17 Lucian Langa 2008-08-10 14:59:39 EDT
(In reply to comment #16)

> Fist thing I notice is that the tarball in the package doesn't match the
> tarball at the upstream URL.  It seems that the upstream tarball lacks the
> COPYING file and there are a couple of inconsequential changes in the
> documentation.  Any idea what's happened there?

Upstream lacks of storage space .. last time he released new version and removed the previous ones, now I believe he didn't bother to make a new release he just repacked gridloc, he mainly just releases bugfixes. I will contact him once again ...

> ? %check is not present.  I tried to test this manually but all it seems to do 
>   is segfault.
I cannot reproduce this under F9 (i386 or x86_64), it should work fine (if you do not have the config file .gridlocrc (there is a sample in docdir) it should complain about it and exit.
Comment 18 Jason Tibbitts 2008-08-10 15:27:05 EDT
I have difficulty believing that an open source project which is so small can lack storage space these days.  There are so many places (even Fedora) which will give storage space for free.

In any case, certainly see a segfault, but things are quite fine when I run under gdb and I get the complaint about the missing .gridlocrc file.  And amazingly, if I run it under zsh, I get the expected complaint while running it under bash gives the segfault.  Bizarre.  I'm going to assume this is some artifact of the chroot setup I run in for testing things.

Let me know when you've sorted out the upstream tarball issue.  Or just spin a new package with a fresh tarball.
Comment 19 Lucian Langa 2008-08-11 00:43:53 EDT
(In reply to comment #18)
> I have difficulty believing that an open source project which is so small can
> lack storage space these days.  There are so many places (even Fedora) which
> will give storage space for free.
Upstream has a lot more software besides gridloc. (http://5b4az.chronos.org.uk/pkg/). We have already packaged many of those them. Anyway perhaps this is just bad house keeping.


> Let me know when you've sorted out the upstream tarball issue.  Or just spin a
> new package with a fresh tarball.
I've just rolled a new package with the latest tarball.

http://lucilanga.fedorapeople.org/gridloc.spec
http://lucilanga.fedorapeople.org/gridloc-0.6-5.fc9.src.rpm
Comment 20 Jason Tibbitts 2008-08-17 12:15:21 EDT
Looks good to me.

APPROVED

By the way, the segfault happens whenever $HOME is unset.  When I set it everything is fine.
Comment 21 Lucian Langa 2008-08-17 12:24:20 EDT
New Package CVS Request
=======================
Package Name: gridloc
Short Description: A ncurses console application for the calculation of Maidenhead QRA Locators
Owners: lucilanga,bjensen
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 22 Kevin Fenzi 2008-08-23 13:49:00 EDT
cvs done.
Comment 23 Fedora Update System 2008-08-24 09:35:48 EDT
gridloc-0.6-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gridloc-0.6-5.fc9
Comment 24 Fedora Update System 2008-08-24 09:38:04 EDT
gridloc-0.6-5.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/gridloc-0.6-5.fc8
Comment 25 Fedora Update System 2008-09-24 20:01:17 EDT
gridloc-0.6-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2008-09-24 20:15:37 EDT
gridloc-0.6-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.